<div class="row">
  <!-- adicionar usuário -->
  <div class="col-xl-12">
    <div class="mb-12">
      <button type="button" class="btn btn-sm btn-outline-success align-left" title="Adicionar usuário" (click)="openRegister()">
        Adicionar
      </button>
    </div>
  </div>
</div>

<div class="row">
  <div class="col-xl-12">
    <div class="card mb-3">
      <div class="table-responsive">
        <table class="table table-hover no-padding">
          <thead>
            <tr>
              <th>Cpf</th>
              <th>Nome</th>
              <th>Email</th>
              <th>Data Nascimento</th>
              <th>Status</th>
              <th></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let u of usuarios">
              <td>{{ u.cpf | mask: '000.000.000-00' }}</td>
              <td>{{ u.nome }}</td>
              <td>{{ u.email }}</td>
              <td>{{ u.dataNascimento }}</td>     
              
              <!-- INATIVAR USUÁRIO -->
              <td *ngIf="u.status" (click)="updateStatus(u)">
                  <small class="btn btn-sm btn-outline-success bg-status" title="Inativar">Ativo</small>
              </td>

              <!-- ATIVAR USUÁRIO -->
              <td *ngIf="!u.status" (click)="updateStatus(u)">
                  <small class="btn btn-sm btn-outline-danger bg-status" title="Ativar">Inativo</small>
              </td>

              <!-- EDITAR USUÁRIO -->
              <td class="lg-btn" (click)="onEdit(u)">
                <button class="btn btn-outline-primary btn-sm" title="Editar">
                  <i class="fa icon-pencil fa-pencil fa-lg"></i>
                </button>
              </td>

              <!-- EXCLUIR USUÁRIO -->
              <td class="lg-btn" (click)="removeUsuario(u)">
                <button class="btn btn-outline-danger btn-sm" title="Excluir">
                  <i class="fa icon-trash fa-trash fa-lg"></i>
                </button>
              </td>

            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</div>
